Bug 326721 - semodule hangs and consumes CPU with extra argument to -B option
semodule hangs and consumes CPU with extra argument to -B option
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: policycoreutils (Show other bugs)
5.0
i686 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 14:05 EDT by Karl Wirth
Modified: 2008-05-21 11:27 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0405
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:27:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Conklin 2007-10-10 14:05:30 EDT
Description of problem:

Invoking semodule with the -B option and an extra argument causes the process to
hang and consume CPU.

Version-Release number of selected component (if applicable):

policycoreutils-1.33.12-12.el5

How reproducible:

From a root shell, execute 'semodule -B aaa'

Steps to Reproduce:
1. execute 'semodule -B aaa'
2. Note that it does not complete, and that it is comsuming 100% CPU. Also,
no response to a SIGINT (^C) from the terminal.
3. Kill it using kill -9
  
Actual results:

semodule never completes and returns an error.


Expected results:

semodule should complete and possibly return an error

Additional info:

I tried this on a rawhide system, X86_64 running policycoreutils 2.0.29-1.fc8,
and it segfaults.
Comment 1 Daniel Walsh 2007-10-22 10:33:15 EDT
Fixed in policycoreutils-2.0.31-7.fc8
Comment 2 RHEL Product and Program Management 2008-01-21 11:45:50 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2008-05-21 11:27:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0405.html

Note You need to log in before you can comment on or make changes to this bug.